Type to search.

Get the migration reindexing status

  • GET /_migration/reindex/{index}/_status
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.18 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get the status of a migration reindex attempt for a data stream or index.

Required privileges

Index privileges manage

Path parameters

index union string | string[] required

The index or data stream name.

Response

application/json
start_time union oneOf
One of: string or number
start_time_millis number required
complete boolean required
total_indices_in_data_stream number required
total_indices_requiring_upgrade number required
successes number required
in_progress object[] required
index string required
total_doc_count number required
reindexed_doc_count number required
pending number required
errors object[] required
index string required
message string required
exception string